	.global	_MemoryAlloc
	.global	_BufCopy
	.global	_MemClear
	.global	_MemoryFree
	.global	_SystemSleep
	.global	_Sleep
	.global	_CreateTimer
	.global	_GetTimerCount
	.global	_StrLen
	.global	_StrCat
	.global	_StrCmp
	.global	_StrCpy
	.global	_StrChr
	.global	_StrStr
	.global	_GetDigit
	.global	_GetNumber
	.global	_GetCgiIPadrs
	.global	_SciSense
	.global	_SciGetc
	.global	_SciPutc
	.global	_SciPuts
	.global	_SciGets
	.global	_FormatFilesys
	.global	_DefragFilesys
	.global	_CreateFile
	.global	_WriteFile
	.global	_CloseFile
	.global	_DeleteFile
	.global	_MoveFile
	.global	_FindFile
	.global	_GetFileSize
	.global	_OpenFile
	.global	_ReadFile
	.global	_SeekFile
	.global	_GetFinalPos
	.global	_CreateSocket
	.global	_CloseSocket
	.global	_Connect
	.global	_Accept
	.global	_Bind
	.global	_Read
	.global	_Write
	.global	_CheckWriteComplete
	.global	_WaitWriteComplete
	.global	_GetReceiveBuffer
	.global	_SendTo
	.global	_RecvFrom
	.global	_GetSenderIP
	.global	_GetSenderPort
	.global	_GetHostByName
	.global	_GetDefMtu
	.global	_NvmWrite
	.global	_NvmErase
	.global	_SmartFlashInit
	.global	_SmartFlashWrite
	.global	_SmartFlashErase
	.global	_SmartFlashBlockRead
	.global	_NvmUpdate
	.global	_TermPutc
	.global	_TermGetc
	.global	_TermSense
	.global	_TermPuts
	.global	_TermPutNum
	.global	_TermPutIP
	.global	_TermGets

	.text


_MemoryAlloc:
		move.l	0x200,a0
		jmp	(a0)

_BufCopy:
		move.l	0x204,a0
		jmp	(a0)

_MemClear:
		move.l	0x208,a0
		jmp	(a0)

_MemoryFree:
		move.l	0x20c,a0
		jmp	(a0)

_SystemSleep:
		move.l	0x210,a0
		jmp	(a0)

_Sleep:
		move.l	0x214,a0
		jmp	(a0)

_CreateTimer:
		move.l	0x218,a0
		jmp	(a0)

_GetTimerCount:
		move.l	0x21c,a0
		jmp	(a0)

_StrLen:
		move.l	0x220,a0
		jmp	(a0)

_StrCat:
		move.l	0x224,a0
		jmp	(a0)

_StrCmp:
		move.l	0x228,a0
		jmp	(a0)

_StrCpy:
		move.l	0x22c,a0
		jmp	(a0)

_StrChr:
		move.l	0x230,a0
		jmp	(a0)

_StrStr:
		move.l	0x234,a0
		jmp	(a0)

_GetDigit:
		move.l	0x238,a0
		jmp	(a0)

_GetNumber:
		move.l	0x23c,a0
		jmp	(a0)

_GetCgiIPadrs:
		move.l	0x240,a0
		jmp	(a0)
	
_SciSense:
		move.l	0x244,a0
		jmp	(a0)

_SciGetc:
		move.l	0x248,a0
		jmp	(a0)

_SciPutc:
		move.l	0x24c,a0
		jmp	(a0)

_SciPuts:
		move.l	0x250,a0
		jmp	(a0)

_SciGets:
		move.l	0x254,a0
		jmp	(a0)

_FormatFilesys:
		move.l	0x258,a0
		jmp	(a0)

_DefragFilesys:
		move.l	0x25c,a0
		jmp	(a0)

_CreateFile:
		move.l	0x260,a0
		jmp	(a0)

_WriteFile:
		move.l	0x264,a0
		jmp	(a0)

_CloseFile:
		move.l	0x268,a0
		jmp	(a0)

_DeleteFile:
		move.l	0x26c,a0
		jmp	(a0)

_MoveFile:
		move.l	0x270,a0
		jmp	(a0)

_FindFile:
		move.l	0x274,a0
		jmp	(a0)

_GetFileSize:
		move.l	0x278,a0
		jmp	(a0)

_OpenFile:
		move.l	0x27c,a0
		jmp	(a0)

_ReadFile:
		move.l	0x280,a0
		jmp	(a0)

_SeekFile:
		move.l	0x284,a0
		jmp	(a0)

_GetFinalPos:
		move.l	0x288,a0
		jmp	(a0)

_CreateSocket:
		move.l	0x28c,a0
		jmp	(a0)

_CloseSocket:
		move.l	0x290,a0
		jmp	(a0)

_Connect:
		move.l	0x294,a0
		jmp	(a0)

_Accept:
		move.l	0x298,a0
		jmp	(a0)

_Bind:
		move.l	0x29c,a0
		jmp	(a0)

_Read:
		move.l	0x2a0,a0
		jmp	(a0)

_Write:
		move.l	0x2a4,a0
		jmp	(a0)

_CheckWriteComplete:
		move.l	0x2a8,a0
		jmp	(a0)

_WaitWriteComplete:
		move.l	0x2ac,a0
		jmp	(a0)

_GetReceiveBuffer:
		move.l	0x2b0,a0
		jmp	(a0)

_SendTo:
		move.l	0x2b4,a0
		jmp	(a0)

_RecvFrom:
		move.l	0x2b8,a0
		jmp	(a0)

_GetSenderIP:
		move.l	0x2bc,a0
		jmp	(a0)

_GetSenderPort:
		move.l	0x2c0,a0
		jmp	(a0)

_GetHostByName:
		move.l	0x2c4,a0
		jmp	(a0)

_GetDefMtu:
		move.l	0x2c8,a0
		jmp	(a0)

_NvmWrite:
		move.l	0x2cc,a0
		jmp	(a0)

_NvmErase:
		move.l	0x2d0,a0
		jmp	(a0)

_SmartFlashInit:
		move.l	0x2d4,a0
		jmp	(a0)

_SmartFlashWrite:
		move.l	0x2d8,a0
		jmp	(a0)

_SmartFlashErase:
		move.l	0x2dc,a0
		jmp	(a0)

_SmartFlashBlockRead:
		move.l	0x2e0,a0
		jmp	(a0)

_NvmUpdate:
		move.l	0x2e4,a0
		jmp	(a0)

_TermPutc:
		move.l	0x300,a0
		jmp	(a0)

_TermGetc:
		move.l	0x304,a0
		jmp	(a0)

_TermSense:
		move.l	0x308,a0
		jmp	(a0)

_TermPuts:
		move.l	0x30c,a0
		jmp	(a0)

_TermPutNum:
		move.l	0x310,a0
		jmp	(a0)

_TermPutIP:
		move.l	0x314,a0
		jmp	(a0)

_TermGets:
		move.l	0x318,a0
		jmp	(a0)
